CREATE TABLE irc_search_index_upgrades] (
    UPGRADE_ID                  NUMBER(18, 0)     NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    RELEASE                     VARCHAR2(128)     NOT NULL,
    VERSION                     VARCHAR2(128)     NOT NULL,
    ENTITY_TYPE                 VARCHAR2(128)     NOT NULL,
    UPGRADE_STATUS              VARCHAR2(128)     NOT NULL,
    NEW_INDEX_SCHEMA            CLOB          ,
    UPGRADE_START_DATE          TIMESTAMP(6)  ,
    UPGRADE_END_DATE            TIMESTAMP(6)  ,
    UPGRADE_DEPRECATION_DATE    TIMESTAMP(6)  ,
    UPGRADE_FAILURE_REASON      CLOB          ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    UPGRADE_SOURCE_VERSIONS     VARCHAR2(128) 
);
